import sys
file2id = { 'foo':'FOO','080706-oldpps2hr01':'STD',
'090306-20cm-yeast-2h-04':'20CM', 
'090306-40cm-yeast-2h-04':'40CM',
'090306-60cm-yeast-2h-04':'60CM', 
'092606-TFAtryptic1':'TFA',
'090506-chymotryp1':'CHYMO', 
'090506-elastase1':'ELAST',
'072504-ecoli-LC-try-01':'E-MUDPIT-1',
'072504-ecoli-LC-try-07':'E-MUDPIT-2', 
'072504-ecoli-LC-try-12':'E-MUDPIT-3',
'051505-wtwhole1F01':'MUDPIT-0',
'051505-wtwhole1F03':'MUDPIT-1',
'051505-wtwhole1F05':'MUDPIT-2',

'090306-20cm-yeast-2h-04-forward':'20CM', 
'090306-40cm-yeast-2h-04-forward':'40CM',
'090306-60cm-yeast-2h-04-forward':'60CM',
'092606-TFAtryptic1-forward':'TFA',
'090506-chymotryp1-forward':'CHYMO', 
'090506-elastase1-forward':'ELAST',
'072504-ecoli-LC-try-01-forward':'E-MUDPIT-1',
'072504-ecoli-LC-try-07-forward':'E-MUDPIT-2', 
'072504-ecoli-LC-try-12-forward':'E-MUDPIT-3',
'051505-wtwhole1F01-forward':'MUDPIT-0',
'051505-wtwhole1F03-forward':'MUDPIT-1',
'051505-wtwhole1F05-forward':'MUDPIT-2',

 'foo-forward': 'FOO-FORWARD'}

if __name__ == '__main__':
  if len(sys.argv) < 2:
    raise SystemExit, "Usage: %s <gaussian-r-lines> <polynomial-r-lines>" % sys.argv[0]

  gDict = {}
  fh = open(sys.argv[1])
  for line in fh:
    line = line.rstrip('\n')
    id = line.split('.')[0]
    id = id.split('/')[1]
    rvalue = "%.3f" % float(line.split('=')[1].split(')')[0])
    shortId = file2id[id]
    if gDict.has_key(shortId): gDict[shortId][1] = rvalue
    else: gDict[shortId] = [rvalue, 0.0]
  fh.close()

  pDict = {}
  fh = open(sys.argv[2])
  for line in fh:
    line = line.rstrip('\n')
    id = line.split('.')[0]
    id = id.split('/')[1]
    rvalue = "%.3f" % float(line.split('=')[1].split(')')[0])
    shortId = file2id[id]
    if pDict.has_key(shortId): pDict[shortId][1] = rvalue
    else: pDict[shortId] = [rvalue, 0.0]
  fh.close()

  for key in pDict.keys():
    print "%s & %s & %s & %s & %s\\\\" % (key, gDict[key][0], gDict[key][1], \
      pDict[key][0], pDict[key][1])
