# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _caggregate

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


class IntVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, IntVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, IntVector, name)
    def __repr__(self):
        return "<C std::vector<(int)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, IntVector, 'this', _caggregate.new_IntVector(*args))
        _swig_setattr(self, IntVector, 'thisown', 1)
    def __len__(*args): return _caggregate.IntVector___len__(*args)
    def __nonzero__(*args): return _caggregate.IntVector___nonzero__(*args)
    def clear(*args): return _caggregate.IntVector_clear(*args)
    def append(*args): return _caggregate.IntVector_append(*args)
    def pop(*args): return _caggregate.IntVector_pop(*args)
    def __getitem__(*args): return _caggregate.IntVector___getitem__(*args)
    def __getslice__(*args): return _caggregate.IntVector___getslice__(*args)
    def __setitem__(*args): return _caggregate.IntVector___setitem__(*args)
    def __setslice__(*args): return _caggregate.IntVector___setslice__(*args)
    def __delitem__(*args): return _caggregate.IntVector___delitem__(*args)
    def __delslice__(*args): return _caggregate.IntVector___delslice__(*args)
    def __del__(self, destroy=_caggregate.delete_IntVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class IntVectorPtr(IntVector):
    def __init__(self, this):
        _swig_setattr(self, IntVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, IntVector, 'thisown', 0)
        _swig_setattr(self, IntVector,self.__class__,IntVector)
_caggregate.IntVector_swigregister(IntVectorPtr)

class DoubleVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DoubleVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DoubleVector, name)
    def __repr__(self):
        return "<C std::vector<(double)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, DoubleVector, 'this', _caggregate.new_DoubleVector(*args))
        _swig_setattr(self, DoubleVector, 'thisown', 1)
    def __len__(*args): return _caggregate.DoubleVector___len__(*args)
    def __nonzero__(*args): return _caggregate.DoubleVector___nonzero__(*args)
    def clear(*args): return _caggregate.DoubleVector_clear(*args)
    def append(*args): return _caggregate.DoubleVector_append(*args)
    def pop(*args): return _caggregate.DoubleVector_pop(*args)
    def __getitem__(*args): return _caggregate.DoubleVector___getitem__(*args)
    def __getslice__(*args): return _caggregate.DoubleVector___getslice__(*args)
    def __setitem__(*args): return _caggregate.DoubleVector___setitem__(*args)
    def __setslice__(*args): return _caggregate.DoubleVector___setslice__(*args)
    def __delitem__(*args): return _caggregate.DoubleVector___delitem__(*args)
    def __delslice__(*args): return _caggregate.DoubleVector___delslice__(*args)
    def __del__(self, destroy=_caggregate.delete_DoubleVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class DoubleVectorPtr(DoubleVector):
    def __init__(self, this):
        _swig_setattr(self, DoubleVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DoubleVector, 'thisown', 0)
        _swig_setattr(self, DoubleVector,self.__class__,DoubleVector)
_caggregate.DoubleVector_swigregister(DoubleVectorPtr)

class DataSet(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DataSet, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DataSet, name)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C DataSet instance at %s>" % (self.this,)
    def size(*args): return _caggregate.DataSet_size(*args)
    __swig_setmethods__["Y"] = _caggregate.DataSet_Y_set
    __swig_getmethods__["Y"] = _caggregate.DataSet_Y_get
    if _newclass:Y = property(_caggregate.DataSet_Y_get, _caggregate.DataSet_Y_set)
    def setY(*args): return _caggregate.DataSet_setY(*args)
    __swig_setmethods__["kernel"] = _caggregate.DataSet_kernel_set
    __swig_getmethods__["kernel"] = _caggregate.DataSet_kernel_get
    if _newclass:kernel = property(_caggregate.DataSet_kernel_get, _caggregate.DataSet_kernel_set)
    def setKernel(*args): return _caggregate.DataSet_setKernel(*args)
    def attachKernel(*args): return _caggregate.DataSet_attachKernel(*args)
    def getKernelMatrixAsVector(*args): return _caggregate.DataSet_getKernelMatrixAsVector(*args)
    def dotProduct(*args): return _caggregate.DataSet_dotProduct(*args)
    def duplicate(*args): return _caggregate.DataSet_duplicate(*args)
    def castToBase(*args): return _caggregate.DataSet_castToBase(*args)
    def show(*args): return _caggregate.DataSet_show(*args)
    def __del__(self, destroy=_caggregate.delete_DataSet):
        try:
            if self.thisown: destroy(self)
        except: pass

class DataSetPtr(DataSet):
    def __init__(self, this):
        _swig_setattr(self, DataSet, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DataSet, 'thisown', 0)
        _swig_setattr(self, DataSet,self.__class__,DataSet)
_caggregate.DataSet_swigregister(DataSetPtr)

class Aggregate(DataSet):
    __swig_setmethods__ = {}
    for _s in [DataSet]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, Aggregate, name, value)
    __swig_getmethods__ = {}
    for _s in [DataSet]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, Aggregate, name)
    def __repr__(self):
        return "<C Aggregate instance at %s>" % (self.this,)
    __swig_setmethods__["datas"] = _caggregate.Aggregate_datas_set
    __swig_getmethods__["datas"] = _caggregate.Aggregate_datas_get
    if _newclass:datas = property(_caggregate.Aggregate_datas_get, _caggregate.Aggregate_datas_set)
    __swig_setmethods__["weights"] = _caggregate.Aggregate_weights_set
    __swig_getmethods__["weights"] = _caggregate.Aggregate_weights_get
    if _newclass:weights = property(_caggregate.Aggregate_weights_get, _caggregate.Aggregate_weights_set)
    __swig_setmethods__["ownData"] = _caggregate.Aggregate_ownData_set
    __swig_getmethods__["ownData"] = _caggregate.Aggregate_ownData_get
    if _newclass:ownData = property(_caggregate.Aggregate_ownData_get, _caggregate.Aggregate_ownData_set)
    def size(*args): return _caggregate.Aggregate_size(*args)
    def dotProduct(*args): return _caggregate.Aggregate_dotProduct(*args)
    def show(*args): return _caggregate.Aggregate_show(*args)
    def castToBase(*args): return _caggregate.Aggregate_castToBase(*args)
    def duplicate(*args): return _caggregate.Aggregate_duplicate(*args)
    def addDataSet(*args): return _caggregate.Aggregate_addDataSet(*args)
    def __init__(self, *args):
        _swig_setattr(self, Aggregate, 'this', _caggregate.new_Aggregate(*args))
        _swig_setattr(self, Aggregate, 'thisown', 1)
    def __del__(self, destroy=_caggregate.delete_Aggregate):
        try:
            if self.thisown: destroy(self)
        except: pass

class AggregatePtr(Aggregate):
    def __init__(self, this):
        _swig_setattr(self, Aggregate, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Aggregate, 'thisown', 0)
        _swig_setattr(self, Aggregate,self.__class__,Aggregate)
_caggregate.Aggregate_swigregister(AggregatePtr)


