# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _cpairdataset

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


class IntVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, IntVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, IntVector, name)
    def __repr__(self):
        return "<C std::vector<(int)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, IntVector, 'this', _cpairdataset.new_IntVector(*args))
        _swig_setattr(self, IntVector, 'thisown', 1)
    def __len__(*args): return _cpairdataset.IntVector___len__(*args)
    def __nonzero__(*args): return _cpairdataset.IntVector___nonzero__(*args)
    def clear(*args): return _cpairdataset.IntVector_clear(*args)
    def append(*args): return _cpairdataset.IntVector_append(*args)
    def pop(*args): return _cpairdataset.IntVector_pop(*args)
    def __getitem__(*args): return _cpairdataset.IntVector___getitem__(*args)
    def __getslice__(*args): return _cpairdataset.IntVector___getslice__(*args)
    def __setitem__(*args): return _cpairdataset.IntVector___setitem__(*args)
    def __setslice__(*args): return _cpairdataset.IntVector___setslice__(*args)
    def __delitem__(*args): return _cpairdataset.IntVector___delitem__(*args)
    def __delslice__(*args): return _cpairdataset.IntVector___delslice__(*args)
    def __del__(self, destroy=_cpairdataset.delete_IntVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class IntVectorPtr(IntVector):
    def __init__(self, this):
        _swig_setattr(self, IntVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, IntVector, 'thisown', 0)
        _swig_setattr(self, IntVector,self.__class__,IntVector)
_cpairdataset.IntVector_swigregister(IntVectorPtr)

class DoubleVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DoubleVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DoubleVector, name)
    def __repr__(self):
        return "<C std::vector<(double)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, DoubleVector, 'this', _cpairdataset.new_DoubleVector(*args))
        _swig_setattr(self, DoubleVector, 'thisown', 1)
    def __len__(*args): return _cpairdataset.DoubleVector___len__(*args)
    def __nonzero__(*args): return _cpairdataset.DoubleVector___nonzero__(*args)
    def clear(*args): return _cpairdataset.DoubleVector_clear(*args)
    def append(*args): return _cpairdataset.DoubleVector_append(*args)
    def pop(*args): return _cpairdataset.DoubleVector_pop(*args)
    def __getitem__(*args): return _cpairdataset.DoubleVector___getitem__(*args)
    def __getslice__(*args): return _cpairdataset.DoubleVector___getslice__(*args)
    def __setitem__(*args): return _cpairdataset.DoubleVector___setitem__(*args)
    def __setslice__(*args): return _cpairdataset.DoubleVector___setslice__(*args)
    def __delitem__(*args): return _cpairdataset.DoubleVector___delitem__(*args)
    def __delslice__(*args): return _cpairdataset.DoubleVector___delslice__(*args)
    def __del__(self, destroy=_cpairdataset.delete_DoubleVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class DoubleVectorPtr(DoubleVector):
    def __init__(self, this):
        _swig_setattr(self, DoubleVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DoubleVector, 'thisown', 0)
        _swig_setattr(self, DoubleVector,self.__class__,DoubleVector)
_cpairdataset.DoubleVector_swigregister(DoubleVectorPtr)

class DataSet(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DataSet, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DataSet, name)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C DataSet instance at %s>" % (self.this,)
    def size(*args): return _cpairdataset.DataSet_size(*args)
    __swig_setmethods__["Y"] = _cpairdataset.DataSet_Y_set
    __swig_getmethods__["Y"] = _cpairdataset.DataSet_Y_get
    if _newclass:Y = property(_cpairdataset.DataSet_Y_get, _cpairdataset.DataSet_Y_set)
    def setY(*args): return _cpairdataset.DataSet_setY(*args)
    __swig_setmethods__["kernel"] = _cpairdataset.DataSet_kernel_set
    __swig_getmethods__["kernel"] = _cpairdataset.DataSet_kernel_get
    if _newclass:kernel = property(_cpairdataset.DataSet_kernel_get, _cpairdataset.DataSet_kernel_set)
    def setKernel(*args): return _cpairdataset.DataSet_setKernel(*args)
    def attachKernel(*args): return _cpairdataset.DataSet_attachKernel(*args)
    def getKernelMatrixAsVector(*args): return _cpairdataset.DataSet_getKernelMatrixAsVector(*args)
    def dotProduct(*args): return _cpairdataset.DataSet_dotProduct(*args)
    def duplicate(*args): return _cpairdataset.DataSet_duplicate(*args)
    def castToBase(*args): return _cpairdataset.DataSet_castToBase(*args)
    def show(*args): return _cpairdataset.DataSet_show(*args)
    def __del__(self, destroy=_cpairdataset.delete_DataSet):
        try:
            if self.thisown: destroy(self)
        except: pass

class DataSetPtr(DataSet):
    def __init__(self, this):
        _swig_setattr(self, DataSet, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DataSet, 'thisown', 0)
        _swig_setattr(self, DataSet,self.__class__,DataSet)
_cpairdataset.DataSet_swigregister(DataSetPtr)

class PairDataSet(DataSet):
    __swig_setmethods__ = {}
    for _s in [DataSet]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, PairDataSet, name, value)
    __swig_getmethods__ = {}
    for _s in [DataSet]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, PairDataSet, name)
    def __repr__(self):
        return "<C PairDataSet instance at %s>" % (self.this,)
    __swig_setmethods__["first"] = _cpairdataset.PairDataSet_first_set
    __swig_getmethods__["first"] = _cpairdataset.PairDataSet_first_get
    if _newclass:first = property(_cpairdataset.PairDataSet_first_get, _cpairdataset.PairDataSet_first_set)
    __swig_setmethods__["second"] = _cpairdataset.PairDataSet_second_set
    __swig_getmethods__["second"] = _cpairdataset.PairDataSet_second_get
    if _newclass:second = property(_cpairdataset.PairDataSet_second_get, _cpairdataset.PairDataSet_second_set)
    __swig_setmethods__["data"] = _cpairdataset.PairDataSet_data_set
    __swig_getmethods__["data"] = _cpairdataset.PairDataSet_data_get
    if _newclass:data = property(_cpairdataset.PairDataSet_data_get, _cpairdataset.PairDataSet_data_set)
    def size(*args): return _cpairdataset.PairDataSet_size(*args)
    def dotProduct(*args): return _cpairdataset.PairDataSet_dotProduct(*args)
    def show(*args): return _cpairdataset.PairDataSet_show(*args)
    def castToBase(*args): return _cpairdataset.PairDataSet_castToBase(*args)
    def duplicate(*args): return _cpairdataset.PairDataSet_duplicate(*args)
    def __init__(self, *args):
        _swig_setattr(self, PairDataSet, 'this', _cpairdataset.new_PairDataSet(*args))
        _swig_setattr(self, PairDataSet, 'thisown', 1)
    def __del__(self, destroy=_cpairdataset.delete_PairDataSet):
        try:
            if self.thisown: destroy(self)
        except: pass

class PairDataSetPtr(PairDataSet):
    def __init__(self, this):
        _swig_setattr(self, PairDataSet, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, PairDataSet, 'thisown', 0)
        _swig_setattr(self, PairDataSet,self.__class__,PairDataSet)
_cpairdataset.PairDataSet_swigregister(PairDataSetPtr)

class PairDataSetSum(PairDataSet):
    __swig_setmethods__ = {}
    for _s in [PairDataSet]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, PairDataSetSum, name, value)
    __swig_getmethods__ = {}
    for _s in [PairDataSet]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, PairDataSetSum, name)
    def __repr__(self):
        return "<C PairDataSetSum instance at %s>" % (self.this,)
    def dotProduct(*args): return _cpairdataset.PairDataSetSum_dotProduct(*args)
    def castToBase(*args): return _cpairdataset.PairDataSetSum_castToBase(*args)
    def duplicate(*args): return _cpairdataset.PairDataSetSum_duplicate(*args)
    def __init__(self, *args):
        _swig_setattr(self, PairDataSetSum, 'this', _cpairdataset.new_PairDataSetSum(*args))
        _swig_setattr(self, PairDataSetSum, 'thisown', 1)
    def __del__(self, destroy=_cpairdataset.delete_PairDataSetSum):
        try:
            if self.thisown: destroy(self)
        except: pass

class PairDataSetSumPtr(PairDataSetSum):
    def __init__(self, this):
        _swig_setattr(self, PairDataSetSum, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, PairDataSetSum, 'thisown', 0)
        _swig_setattr(self, PairDataSetSum,self.__class__,PairDataSetSum)
_cpairdataset.PairDataSetSum_swigregister(PairDataSetSumPtr)

class PairDataSetOrd(PairDataSet):
    __swig_setmethods__ = {}
    for _s in [PairDataSet]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, PairDataSetOrd, name, value)
    __swig_getmethods__ = {}
    for _s in [PairDataSet]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, PairDataSetOrd, name)
    def __repr__(self):
        return "<C PairDataSetOrd instance at %s>" % (self.this,)
    def dotProduct(*args): return _cpairdataset.PairDataSetOrd_dotProduct(*args)
    def castToBase(*args): return _cpairdataset.PairDataSetOrd_castToBase(*args)
    def duplicate(*args): return _cpairdataset.PairDataSetOrd_duplicate(*args)
    def __init__(self, *args):
        _swig_setattr(self, PairDataSetOrd, 'this', _cpairdataset.new_PairDataSetOrd(*args))
        _swig_setattr(self, PairDataSetOrd, 'thisown', 1)
    def __del__(self, destroy=_cpairdataset.delete_PairDataSetOrd):
        try:
            if self.thisown: destroy(self)
        except: pass

class PairDataSetOrdPtr(PairDataSetOrd):
    def __init__(self, this):
        _swig_setattr(self, PairDataSetOrd, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, PairDataSetOrd, 'thisown', 0)
        _swig_setattr(self, PairDataSetOrd,self.__class__,PairDataSetOrd)
_cpairdataset.PairDataSetOrd_swigregister(PairDataSetOrdPtr)


