# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _csvmodel

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


class IntVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, IntVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, IntVector, name)
    def __repr__(self):
        return "<C std::vector<(int)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, IntVector, 'this', _csvmodel.new_IntVector(*args))
        _swig_setattr(self, IntVector, 'thisown', 1)
    def __len__(*args): return _csvmodel.IntVector___len__(*args)
    def __nonzero__(*args): return _csvmodel.IntVector___nonzero__(*args)
    def clear(*args): return _csvmodel.IntVector_clear(*args)
    def append(*args): return _csvmodel.IntVector_append(*args)
    def pop(*args): return _csvmodel.IntVector_pop(*args)
    def __getitem__(*args): return _csvmodel.IntVector___getitem__(*args)
    def __getslice__(*args): return _csvmodel.IntVector___getslice__(*args)
    def __setitem__(*args): return _csvmodel.IntVector___setitem__(*args)
    def __setslice__(*args): return _csvmodel.IntVector___setslice__(*args)
    def __delitem__(*args): return _csvmodel.IntVector___delitem__(*args)
    def __delslice__(*args): return _csvmodel.IntVector___delslice__(*args)
    def __del__(self, destroy=_csvmodel.delete_IntVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class IntVectorPtr(IntVector):
    def __init__(self, this):
        _swig_setattr(self, IntVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, IntVector, 'thisown', 0)
        _swig_setattr(self, IntVector,self.__class__,IntVector)
_csvmodel.IntVector_swigregister(IntVectorPtr)

class DoubleVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DoubleVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DoubleVector, name)
    def __repr__(self):
        return "<C std::vector<(double)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, DoubleVector, 'this', _csvmodel.new_DoubleVector(*args))
        _swig_setattr(self, DoubleVector, 'thisown', 1)
    def __len__(*args): return _csvmodel.DoubleVector___len__(*args)
    def __nonzero__(*args): return _csvmodel.DoubleVector___nonzero__(*args)
    def clear(*args): return _csvmodel.DoubleVector_clear(*args)
    def append(*args): return _csvmodel.DoubleVector_append(*args)
    def pop(*args): return _csvmodel.DoubleVector_pop(*args)
    def __getitem__(*args): return _csvmodel.DoubleVector___getitem__(*args)
    def __getslice__(*args): return _csvmodel.DoubleVector___getslice__(*args)
    def __setitem__(*args): return _csvmodel.DoubleVector___setitem__(*args)
    def __setslice__(*args): return _csvmodel.DoubleVector___setslice__(*args)
    def __delitem__(*args): return _csvmodel.DoubleVector___delitem__(*args)
    def __delslice__(*args): return _csvmodel.DoubleVector___delslice__(*args)
    def __del__(self, destroy=_csvmodel.delete_DoubleVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class DoubleVectorPtr(DoubleVector):
    def __init__(self, this):
        _swig_setattr(self, DoubleVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DoubleVector, 'thisown', 0)
        _swig_setattr(self, DoubleVector,self.__class__,DoubleVector)
_csvmodel.DoubleVector_swigregister(DoubleVectorPtr)

class SVModel(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, SVModel, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, SVModel, name)
    def __repr__(self):
        return "<C SVModel instance at %s>" % (self.this,)
    __swig_setmethods__["svdata"] = _csvmodel.SVModel_svdata_set
    __swig_getmethods__["svdata"] = _csvmodel.SVModel_svdata_get
    if _newclass:svdata = property(_csvmodel.SVModel_svdata_get, _csvmodel.SVModel_svdata_set)
    __swig_setmethods__["alpha"] = _csvmodel.SVModel_alpha_set
    __swig_getmethods__["alpha"] = _csvmodel.SVModel_alpha_get
    if _newclass:alpha = property(_csvmodel.SVModel_alpha_get, _csvmodel.SVModel_alpha_set)
    __swig_setmethods__["b"] = _csvmodel.SVModel_b_set
    __swig_getmethods__["b"] = _csvmodel.SVModel_b_get
    if _newclass:b = property(_csvmodel.SVModel_b_get, _csvmodel.SVModel_b_set)
    __swig_setmethods__["numSV"] = _csvmodel.SVModel_numSV_set
    __swig_getmethods__["numSV"] = _csvmodel.SVModel_numSV_get
    if _newclass:numSV = property(_csvmodel.SVModel_numSV_get, _csvmodel.SVModel_numSV_set)
    def decisionFunc(*args): return _csvmodel.SVModel_decisionFunc(*args)
    def __init__(self, *args):
        _swig_setattr(self, SVModel, 'this', _csvmodel.new_SVModel(*args))
        _swig_setattr(self, SVModel, 'thisown', 1)
    def __del__(self, destroy=_csvmodel.delete_SVModel):
        try:
            if self.thisown: destroy(self)
        except: pass

class SVModelPtr(SVModel):
    def __init__(self, this):
        _swig_setattr(self, SVModel, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, SVModel, 'thisown', 0)
        _swig_setattr(self, SVModel,self.__class__,SVModel)
_csvmodel.SVModel_swigregister(SVModelPtr)

class LinearSVModel(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, LinearSVModel, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, LinearSVModel, name)
    def __repr__(self):
        return "<C LinearSVModel instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, LinearSVModel, 'this', _csvmodel.new_LinearSVModel(*args))
        _swig_setattr(self, LinearSVModel, 'thisown', 1)
    def __del__(self, destroy=_csvmodel.delete_LinearSVModel):
        try:
            if self.thisown: destroy(self)
        except: pass
    __swig_setmethods__["w"] = _csvmodel.LinearSVModel_w_set
    __swig_getmethods__["w"] = _csvmodel.LinearSVModel_w_get
    if _newclass:w = property(_csvmodel.LinearSVModel_w_get, _csvmodel.LinearSVModel_w_set)
    __swig_setmethods__["wVec"] = _csvmodel.LinearSVModel_wVec_set
    __swig_getmethods__["wVec"] = _csvmodel.LinearSVModel_wVec_get
    if _newclass:wVec = property(_csvmodel.LinearSVModel_wVec_get, _csvmodel.LinearSVModel_wVec_set)
    __swig_setmethods__["b"] = _csvmodel.LinearSVModel_b_set
    __swig_getmethods__["b"] = _csvmodel.LinearSVModel_b_get
    if _newclass:b = property(_csvmodel.LinearSVModel_b_get, _csvmodel.LinearSVModel_b_set)
    def getW(*args): return _csvmodel.LinearSVModel_getW(*args)
    def getWvec(*args): return _csvmodel.LinearSVModel_getWvec(*args)
    def decisionFunc(*args): return _csvmodel.LinearSVModel_decisionFunc(*args)

class LinearSVModelPtr(LinearSVModel):
    def __init__(self, this):
        _swig_setattr(self, LinearSVModel, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, LinearSVModel, 'thisown', 0)
        _swig_setattr(self, LinearSVModel,self.__class__,LinearSVModel)
_csvmodel.LinearSVModel_swigregister(LinearSVModelPtr)


