# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _cvector

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


class Feature(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Feature, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Feature, name)
    def __repr__(self):
        return "<C Feature instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, Feature, 'this', _cvector.new_Feature(*args))
        _swig_setattr(self, Feature, 'thisown', 1)
    __swig_setmethods__["index"] = _cvector.Feature_index_set
    __swig_getmethods__["index"] = _cvector.Feature_index_get
    if _newclass:index = property(_cvector.Feature_index_get, _cvector.Feature_index_set)
    __swig_setmethods__["value"] = _cvector.Feature_value_set
    __swig_getmethods__["value"] = _cvector.Feature_value_get
    if _newclass:value = property(_cvector.Feature_value_get, _cvector.Feature_value_set)
    def __del__(self, destroy=_cvector.delete_Feature):
        try:
            if self.thisown: destroy(self)
        except: pass

class FeaturePtr(Feature):
    def __init__(self, this):
        _swig_setattr(self, Feature, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Feature, 'thisown', 0)
        _swig_setattr(self, Feature,self.__class__,Feature)
_cvector.Feature_swigregister(FeaturePtr)

class FeatureVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, FeatureVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, FeatureVector, name)
    def __repr__(self):
        return "<C FeatureVector instance at %s>" % (self.this,)
    __swig_setmethods__["features"] = _cvector.FeatureVector_features_set
    __swig_getmethods__["features"] = _cvector.FeatureVector_features_get
    if _newclass:features = property(_cvector.FeatureVector_features_get, _cvector.FeatureVector_features_set)
    def __init__(self, *args):
        _swig_setattr(self, FeatureVector, 'this', _cvector.new_FeatureVector(*args))
        _swig_setattr(self, FeatureVector, 'thisown', 1)
    def insert(*args): return _cvector.FeatureVector_insert(*args)
    def get(*args): return _cvector.FeatureVector_get(*args)
    def add(*args): return _cvector.FeatureVector_add(*args)
    def printData(*args): return _cvector.FeatureVector_printData(*args)
    def scale(*args): return _cvector.FeatureVector_scale(*args)
    def norm(*args): return _cvector.FeatureVector_norm(*args)
    def dotProduct(*args): return _cvector.FeatureVector_dotProduct(*args)
    def commonFeatures(*args): return _cvector.FeatureVector_commonFeatures(*args)
    def length(*args): return _cvector.FeatureVector_length(*args)
    def __del__(self, destroy=_cvector.delete_FeatureVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class FeatureVectorPtr(FeatureVector):
    def __init__(self, this):
        _swig_setattr(self, FeatureVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, FeatureVector, 'thisown', 0)
        _swig_setattr(self, FeatureVector,self.__class__,FeatureVector)
_cvector.FeatureVector_swigregister(FeatureVectorPtr)

class longArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, longArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, longArray, name)
    def __repr__(self):
        return "<C longArray instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, longArray, 'this', _cvector.new_longArray(*args))
        _swig_setattr(self, longArray, 'thisown', 1)
    def __del__(self, destroy=_cvector.delete_longArray):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __getitem__(*args): return _cvector.longArray___getitem__(*args)
    def __setitem__(*args): return _cvector.longArray___setitem__(*args)
    def cast(*args): return _cvector.longArray_cast(*args)
    __swig_getmethods__["frompointer"] = lambda x: _cvector.longArray_frompointer
    if _newclass:frompointer = staticmethod(_cvector.longArray_frompointer)

class longArrayPtr(longArray):
    def __init__(self, this):
        _swig_setattr(self, longArray, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, longArray, 'thisown', 0)
        _swig_setattr(self, longArray,self.__class__,longArray)
_cvector.longArray_swigregister(longArrayPtr)

longArray_frompointer = _cvector.longArray_frompointer

class doubleArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, doubleArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, doubleArray, name)
    def __repr__(self):
        return "<C doubleArray instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, doubleArray, 'this', _cvector.new_doubleArray(*args))
        _swig_setattr(self, doubleArray, 'thisown', 1)
    def __del__(self, destroy=_cvector.delete_doubleArray):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __getitem__(*args): return _cvector.doubleArray___getitem__(*args)
    def __setitem__(*args): return _cvector.doubleArray___setitem__(*args)
    def cast(*args): return _cvector.doubleArray_cast(*args)
    __swig_getmethods__["frompointer"] = lambda x: _cvector.doubleArray_frompointer
    if _newclass:frompointer = staticmethod(_cvector.doubleArray_frompointer)

class doubleArrayPtr(doubleArray):
    def __init__(self, this):
        _swig_setattr(self, doubleArray, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, doubleArray, 'thisown', 0)
        _swig_setattr(self, doubleArray,self.__class__,doubleArray)
_cvector.doubleArray_swigregister(doubleArrayPtr)

doubleArray_frompointer = _cvector.doubleArray_frompointer


