# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _libsvm

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


C_SVC = _libsvm.C_SVC
NU_SVC = _libsvm.NU_SVC
ONE_CLASS = _libsvm.ONE_CLASS
EPSILON_SVR = _libsvm.EPSILON_SVR
NU_SVR = _libsvm.NU_SVR
LINEAR = _libsvm.LINEAR
POLY = _libsvm.POLY
RBF = _libsvm.RBF
SIGMOID = _libsvm.SIGMOID
LINEARRIDGE = _libsvm.LINEARRIDGE
class svm_parameter(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svm_parameter, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svm_parameter, name)
    def __repr__(self):
        return "<C svm_parameter instance at %s>" % (self.this,)
    __swig_setmethods__["svm_type"] = _libsvm.svm_parameter_svm_type_set
    __swig_getmethods__["svm_type"] = _libsvm.svm_parameter_svm_type_get
    if _newclass:svm_type = property(_libsvm.svm_parameter_svm_type_get, _libsvm.svm_parameter_svm_type_set)
    __swig_setmethods__["kernel_type"] = _libsvm.svm_parameter_kernel_type_set
    __swig_getmethods__["kernel_type"] = _libsvm.svm_parameter_kernel_type_get
    if _newclass:kernel_type = property(_libsvm.svm_parameter_kernel_type_get, _libsvm.svm_parameter_kernel_type_set)
    __swig_setmethods__["degree"] = _libsvm.svm_parameter_degree_set
    __swig_getmethods__["degree"] = _libsvm.svm_parameter_degree_get
    if _newclass:degree = property(_libsvm.svm_parameter_degree_get, _libsvm.svm_parameter_degree_set)
    __swig_setmethods__["gamma"] = _libsvm.svm_parameter_gamma_set
    __swig_getmethods__["gamma"] = _libsvm.svm_parameter_gamma_get
    if _newclass:gamma = property(_libsvm.svm_parameter_gamma_get, _libsvm.svm_parameter_gamma_set)
    __swig_setmethods__["coef0"] = _libsvm.svm_parameter_coef0_set
    __swig_getmethods__["coef0"] = _libsvm.svm_parameter_coef0_get
    if _newclass:coef0 = property(_libsvm.svm_parameter_coef0_get, _libsvm.svm_parameter_coef0_set)
    __swig_setmethods__["ridge"] = _libsvm.svm_parameter_ridge_set
    __swig_getmethods__["ridge"] = _libsvm.svm_parameter_ridge_get
    if _newclass:ridge = property(_libsvm.svm_parameter_ridge_get, _libsvm.svm_parameter_ridge_set)
    __swig_setmethods__["cache_size"] = _libsvm.svm_parameter_cache_size_set
    __swig_getmethods__["cache_size"] = _libsvm.svm_parameter_cache_size_get
    if _newclass:cache_size = property(_libsvm.svm_parameter_cache_size_get, _libsvm.svm_parameter_cache_size_set)
    __swig_setmethods__["eps"] = _libsvm.svm_parameter_eps_set
    __swig_getmethods__["eps"] = _libsvm.svm_parameter_eps_get
    if _newclass:eps = property(_libsvm.svm_parameter_eps_get, _libsvm.svm_parameter_eps_set)
    __swig_setmethods__["C"] = _libsvm.svm_parameter_C_set
    __swig_getmethods__["C"] = _libsvm.svm_parameter_C_get
    if _newclass:C = property(_libsvm.svm_parameter_C_get, _libsvm.svm_parameter_C_set)
    __swig_setmethods__["nr_weight"] = _libsvm.svm_parameter_nr_weight_set
    __swig_getmethods__["nr_weight"] = _libsvm.svm_parameter_nr_weight_get
    if _newclass:nr_weight = property(_libsvm.svm_parameter_nr_weight_get, _libsvm.svm_parameter_nr_weight_set)
    __swig_setmethods__["weight_label"] = _libsvm.svm_parameter_weight_label_set
    __swig_getmethods__["weight_label"] = _libsvm.svm_parameter_weight_label_get
    if _newclass:weight_label = property(_libsvm.svm_parameter_weight_label_get, _libsvm.svm_parameter_weight_label_set)
    __swig_setmethods__["weight"] = _libsvm.svm_parameter_weight_set
    __swig_getmethods__["weight"] = _libsvm.svm_parameter_weight_get
    if _newclass:weight = property(_libsvm.svm_parameter_weight_get, _libsvm.svm_parameter_weight_set)
    __swig_setmethods__["nu"] = _libsvm.svm_parameter_nu_set
    __swig_getmethods__["nu"] = _libsvm.svm_parameter_nu_get
    if _newclass:nu = property(_libsvm.svm_parameter_nu_get, _libsvm.svm_parameter_nu_set)
    __swig_setmethods__["p"] = _libsvm.svm_parameter_p_set
    __swig_getmethods__["p"] = _libsvm.svm_parameter_p_get
    if _newclass:p = property(_libsvm.svm_parameter_p_get, _libsvm.svm_parameter_p_set)
    __swig_setmethods__["shrinking"] = _libsvm.svm_parameter_shrinking_set
    __swig_getmethods__["shrinking"] = _libsvm.svm_parameter_shrinking_get
    if _newclass:shrinking = property(_libsvm.svm_parameter_shrinking_get, _libsvm.svm_parameter_shrinking_set)
    def __init__(self, *args):
        _swig_setattr(self, svm_parameter, 'this', _libsvm.new_svm_parameter(*args))
        _swig_setattr(self, svm_parameter, 'thisown', 1)
    def __del__(self, destroy=_libsvm.delete_svm_parameter):
        try:
            if self.thisown: destroy(self)
        except: pass

class svm_parameterPtr(svm_parameter):
    def __init__(self, this):
        _swig_setattr(self, svm_parameter, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svm_parameter, 'thisown', 0)
        _swig_setattr(self, svm_parameter,self.__class__,svm_parameter)
_libsvm.svm_parameter_swigregister(svm_parameterPtr)

class svm_problem(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svm_problem, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svm_problem, name)
    def __repr__(self):
        return "<C svm_problem instance at %s>" % (self.this,)
    __swig_setmethods__["l"] = _libsvm.svm_problem_l_set
    __swig_getmethods__["l"] = _libsvm.svm_problem_l_get
    if _newclass:l = property(_libsvm.svm_problem_l_get, _libsvm.svm_problem_l_set)
    __swig_setmethods__["y"] = _libsvm.svm_problem_y_set
    __swig_getmethods__["y"] = _libsvm.svm_problem_y_get
    if _newclass:y = property(_libsvm.svm_problem_y_get, _libsvm.svm_problem_y_set)
    __swig_setmethods__["x"] = _libsvm.svm_problem_x_set
    __swig_getmethods__["x"] = _libsvm.svm_problem_x_get
    if _newclass:x = property(_libsvm.svm_problem_x_get, _libsvm.svm_problem_x_set)
    def __init__(self, *args):
        _swig_setattr(self, svm_problem, 'this', _libsvm.new_svm_problem(*args))
        _swig_setattr(self, svm_problem, 'thisown', 1)
    def __del__(self, destroy=_libsvm.delete_svm_problem):
        try:
            if self.thisown: destroy(self)
        except: pass

class svm_problemPtr(svm_problem):
    def __init__(self, this):
        _swig_setattr(self, svm_problem, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svm_problem, 'thisown', 0)
        _swig_setattr(self, svm_problem,self.__class__,svm_problem)
_libsvm.svm_problem_swigregister(svm_problemPtr)

class decisionFunction(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, decisionFunction, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, decisionFunction, name)
    def __repr__(self):
        return "<C decisionFunction instance at %s>" % (self.this,)
    __swig_setmethods__["numSV"] = _libsvm.decisionFunction_numSV_set
    __swig_getmethods__["numSV"] = _libsvm.decisionFunction_numSV_get
    if _newclass:numSV = property(_libsvm.decisionFunction_numSV_get, _libsvm.decisionFunction_numSV_set)
    __swig_setmethods__["numBSV"] = _libsvm.decisionFunction_numBSV_set
    __swig_getmethods__["numBSV"] = _libsvm.decisionFunction_numBSV_get
    if _newclass:numBSV = property(_libsvm.decisionFunction_numBSV_get, _libsvm.decisionFunction_numBSV_set)
    __swig_setmethods__["svID"] = _libsvm.decisionFunction_svID_set
    __swig_getmethods__["svID"] = _libsvm.decisionFunction_svID_get
    if _newclass:svID = property(_libsvm.decisionFunction_svID_get, _libsvm.decisionFunction_svID_set)
    __swig_setmethods__["alpha"] = _libsvm.decisionFunction_alpha_set
    __swig_getmethods__["alpha"] = _libsvm.decisionFunction_alpha_get
    if _newclass:alpha = property(_libsvm.decisionFunction_alpha_get, _libsvm.decisionFunction_alpha_set)
    __swig_setmethods__["rho"] = _libsvm.decisionFunction_rho_set
    __swig_getmethods__["rho"] = _libsvm.decisionFunction_rho_get
    if _newclass:rho = property(_libsvm.decisionFunction_rho_get, _libsvm.decisionFunction_rho_set)
    def __init__(self, *args):
        _swig_setattr(self, decisionFunction, 'this', _libsvm.new_decisionFunction(*args))
        _swig_setattr(self, decisionFunction, 'thisown', 1)
    def __del__(self, destroy=_libsvm.delete_decisionFunction):
        try:
            if self.thisown: destroy(self)
        except: pass

class decisionFunctionPtr(decisionFunction):
    def __init__(self, this):
        _swig_setattr(self, decisionFunction, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, decisionFunction, 'thisown', 0)
        _swig_setattr(self, decisionFunction,self.__class__,decisionFunction)
_libsvm.decisionFunction_swigregister(decisionFunctionPtr)

class DecisionFunction(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DecisionFunction, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DecisionFunction, name)
    def __repr__(self):
        return "<C DecisionFunction instance at %s>" % (self.this,)
    __swig_setmethods__["numSV"] = _libsvm.DecisionFunction_numSV_set
    __swig_getmethods__["numSV"] = _libsvm.DecisionFunction_numSV_get
    if _newclass:numSV = property(_libsvm.DecisionFunction_numSV_get, _libsvm.DecisionFunction_numSV_set)
    __swig_setmethods__["numBSV"] = _libsvm.DecisionFunction_numBSV_set
    __swig_getmethods__["numBSV"] = _libsvm.DecisionFunction_numBSV_get
    if _newclass:numBSV = property(_libsvm.DecisionFunction_numBSV_get, _libsvm.DecisionFunction_numBSV_set)
    __swig_setmethods__["svID"] = _libsvm.DecisionFunction_svID_set
    __swig_getmethods__["svID"] = _libsvm.DecisionFunction_svID_get
    if _newclass:svID = property(_libsvm.DecisionFunction_svID_get, _libsvm.DecisionFunction_svID_set)
    __swig_setmethods__["alpha"] = _libsvm.DecisionFunction_alpha_set
    __swig_getmethods__["alpha"] = _libsvm.DecisionFunction_alpha_get
    if _newclass:alpha = property(_libsvm.DecisionFunction_alpha_get, _libsvm.DecisionFunction_alpha_set)
    __swig_setmethods__["rho"] = _libsvm.DecisionFunction_rho_set
    __swig_getmethods__["rho"] = _libsvm.DecisionFunction_rho_get
    if _newclass:rho = property(_libsvm.DecisionFunction_rho_get, _libsvm.DecisionFunction_rho_set)
    def __init__(self, *args):
        _swig_setattr(self, DecisionFunction, 'this', _libsvm.new_DecisionFunction(*args))
        _swig_setattr(self, DecisionFunction, 'thisown', 1)
    def __del__(self, destroy=_libsvm.delete_DecisionFunction):
        try:
            if self.thisown: destroy(self)
        except: pass

class DecisionFunctionPtr(DecisionFunction):
    def __init__(self, this):
        _swig_setattr(self, DecisionFunction, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DecisionFunction, 'thisown', 0)
        _swig_setattr(self, DecisionFunction,self.__class__,DecisionFunction)
_libsvm.DecisionFunction_swigregister(DecisionFunctionPtr)


computeKernel = _libsvm.computeKernel

svm_train_one4 = _libsvm.svm_train_one4

svm_check_parameter = _libsvm.svm_check_parameter
class intArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, intArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, intArray, name)
    def __repr__(self):
        return "<C intArray instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, intArray, 'this', _libsvm.new_intArray(*args))
        _swig_setattr(self, intArray, 'thisown', 1)
    def __del__(self, destroy=_libsvm.delete_intArray):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __getitem__(*args): return _libsvm.intArray___getitem__(*args)
    def __setitem__(*args): return _libsvm.intArray___setitem__(*args)
    def cast(*args): return _libsvm.intArray_cast(*args)
    __swig_getmethods__["frompointer"] = lambda x: _libsvm.intArray_frompointer
    if _newclass:frompointer = staticmethod(_libsvm.intArray_frompointer)

class intArrayPtr(intArray):
    def __init__(self, this):
        _swig_setattr(self, intArray, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, intArray, 'thisown', 0)
        _swig_setattr(self, intArray,self.__class__,intArray)
_libsvm.intArray_swigregister(intArrayPtr)

intArray_frompointer = _libsvm.intArray_frompointer

class doubleArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, doubleArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, doubleArray, name)
    def __repr__(self):
        return "<C doubleArray instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, doubleArray, 'this', _libsvm.new_doubleArray(*args))
        _swig_setattr(self, doubleArray, 'thisown', 1)
    def __del__(self, destroy=_libsvm.delete_doubleArray):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __getitem__(*args): return _libsvm.doubleArray___getitem__(*args)
    def __setitem__(*args): return _libsvm.doubleArray___setitem__(*args)
    def cast(*args): return _libsvm.doubleArray_cast(*args)
    __swig_getmethods__["frompointer"] = lambda x: _libsvm.doubleArray_frompointer
    if _newclass:frompointer = staticmethod(_libsvm.doubleArray_frompointer)

class doubleArrayPtr(doubleArray):
    def __init__(self, this):
        _swig_setattr(self, doubleArray, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, doubleArray, 'thisown', 0)
        _swig_setattr(self, doubleArray,self.__class__,doubleArray)
_libsvm.doubleArray_swigregister(doubleArrayPtr)

doubleArray_frompointer = _libsvm.doubleArray_frompointer


svm_node_array = _libsvm.svm_node_array

svm_node_array_set = _libsvm.svm_node_array_set

svm_node_matrix = _libsvm.svm_node_matrix

svm_node_matrix_set = _libsvm.svm_node_matrix_set

svm_problem_destroy = _libsvm.svm_problem_destroy

decisionFunction_destroy = _libsvm.decisionFunction_destroy

svm_node_array_destroy = _libsvm.svm_node_array_destroy

svm_node_matrix_destroy = _libsvm.svm_node_matrix_destroy

