#!/usr/bin/python
#$Revision: 1.5 $
import sys
def depad(string):
	idx = 0
	while string[idx] == "0":
		idx=idx+1
	return "".join(string[idx:])

class FileUtils:
	"Contains min and max coords for a series of paritions"
	def __init__(self, filename):
		file = open(filename, 'r')
		self.lines = file.readlines()
		file.close()
		self.data = {}
		self.data["dict"] = {}

	def columns2dict(self, key_idx, value_idx):
		for i in range(len(self.lines)):
			fields = self.lines[i].replace("\n","").split("\t")
			self[str(fields[key_idx])] = str(fields[value_idx])

	def __getitem__(self, key):
		return self.data["dict"][key]
			
	def __setitem__(self, key, value):
		self.data["dict"][str(key)] = value

if __name__ == '__main__':
	ipshell = IPShellEmbed() 
	if len(sys.argv) < 2:
		print >>sys.stderr, "Usage: %s <dict> " % (sys.argv[0])
		sys.exit(1)
	p = FileUtils(sys.argv[1])
	p.columns2dict(1,0)
	# ipshell() # this call anywhere in your program will start IPython 
	print p["16127995"]


		
			
			

