# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _cdataset

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


class IntVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, IntVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, IntVector, name)
    def __repr__(self):
        return "<C std::vector<(int)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, IntVector, 'this', _cdataset.new_IntVector(*args))
        _swig_setattr(self, IntVector, 'thisown', 1)
    def __len__(*args): return _cdataset.IntVector___len__(*args)
    def __nonzero__(*args): return _cdataset.IntVector___nonzero__(*args)
    def clear(*args): return _cdataset.IntVector_clear(*args)
    def append(*args): return _cdataset.IntVector_append(*args)
    def pop(*args): return _cdataset.IntVector_pop(*args)
    def __getitem__(*args): return _cdataset.IntVector___getitem__(*args)
    def __getslice__(*args): return _cdataset.IntVector___getslice__(*args)
    def __setitem__(*args): return _cdataset.IntVector___setitem__(*args)
    def __setslice__(*args): return _cdataset.IntVector___setslice__(*args)
    def __delitem__(*args): return _cdataset.IntVector___delitem__(*args)
    def __delslice__(*args): return _cdataset.IntVector___delslice__(*args)
    def __del__(self, destroy=_cdataset.delete_IntVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class IntVectorPtr(IntVector):
    def __init__(self, this):
        _swig_setattr(self, IntVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, IntVector, 'thisown', 0)
        _swig_setattr(self, IntVector,self.__class__,IntVector)
_cdataset.IntVector_swigregister(IntVectorPtr)

class DoubleVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DoubleVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DoubleVector, name)
    def __repr__(self):
        return "<C std::vector<(double)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, DoubleVector, 'this', _cdataset.new_DoubleVector(*args))
        _swig_setattr(self, DoubleVector, 'thisown', 1)
    def __len__(*args): return _cdataset.DoubleVector___len__(*args)
    def __nonzero__(*args): return _cdataset.DoubleVector___nonzero__(*args)
    def clear(*args): return _cdataset.DoubleVector_clear(*args)
    def append(*args): return _cdataset.DoubleVector_append(*args)
    def pop(*args): return _cdataset.DoubleVector_pop(*args)
    def __getitem__(*args): return _cdataset.DoubleVector___getitem__(*args)
    def __getslice__(*args): return _cdataset.DoubleVector___getslice__(*args)
    def __setitem__(*args): return _cdataset.DoubleVector___setitem__(*args)
    def __setslice__(*args): return _cdataset.DoubleVector___setslice__(*args)
    def __delitem__(*args): return _cdataset.DoubleVector___delitem__(*args)
    def __delslice__(*args): return _cdataset.DoubleVector___delslice__(*args)
    def __del__(self, destroy=_cdataset.delete_DoubleVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class DoubleVectorPtr(DoubleVector):
    def __init__(self, this):
        _swig_setattr(self, DoubleVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DoubleVector, 'thisown', 0)
        _swig_setattr(self, DoubleVector,self.__class__,DoubleVector)
_cdataset.DoubleVector_swigregister(DoubleVectorPtr)

class StringVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, StringVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, StringVector, name)
    def __repr__(self):
        return "<C std::vector<(std::string)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, StringVector, 'this', _cdataset.new_StringVector(*args))
        _swig_setattr(self, StringVector, 'thisown', 1)
    def __len__(*args): return _cdataset.StringVector___len__(*args)
    def __nonzero__(*args): return _cdataset.StringVector___nonzero__(*args)
    def clear(*args): return _cdataset.StringVector_clear(*args)
    def append(*args): return _cdataset.StringVector_append(*args)
    def pop(*args): return _cdataset.StringVector_pop(*args)
    def __getitem__(*args): return _cdataset.StringVector___getitem__(*args)
    def __getslice__(*args): return _cdataset.StringVector___getslice__(*args)
    def __setitem__(*args): return _cdataset.StringVector___setitem__(*args)
    def __setslice__(*args): return _cdataset.StringVector___setslice__(*args)
    def __delitem__(*args): return _cdataset.StringVector___delitem__(*args)
    def __delslice__(*args): return _cdataset.StringVector___delslice__(*args)
    def __del__(self, destroy=_cdataset.delete_StringVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class StringVectorPtr(StringVector):
    def __init__(self, this):
        _swig_setattr(self, StringVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, StringVector, 'thisown', 0)
        _swig_setattr(self, StringVector,self.__class__,StringVector)
_cdataset.StringVector_swigregister(StringVectorPtr)

class MyIntVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, MyIntVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, MyIntVector, name)
    def __repr__(self):
        return "<C std::vector<(myint)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, MyIntVector, 'this', _cdataset.new_MyIntVector(*args))
        _swig_setattr(self, MyIntVector, 'thisown', 1)
    def __len__(*args): return _cdataset.MyIntVector___len__(*args)
    def clear(*args): return _cdataset.MyIntVector_clear(*args)
    def append(*args): return _cdataset.MyIntVector_append(*args)
    def __nonzero__(*args): return _cdataset.MyIntVector___nonzero__(*args)
    def pop(*args): return _cdataset.MyIntVector_pop(*args)
    def __getitem__(*args): return _cdataset.MyIntVector___getitem__(*args)
    def __getslice__(*args): return _cdataset.MyIntVector___getslice__(*args)
    def __setitem__(*args): return _cdataset.MyIntVector___setitem__(*args)
    def __setslice__(*args): return _cdataset.MyIntVector___setslice__(*args)
    def __delitem__(*args): return _cdataset.MyIntVector___delitem__(*args)
    def __delslice__(*args): return _cdataset.MyIntVector___delslice__(*args)
    def __del__(self, destroy=_cdataset.delete_MyIntVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class MyIntVectorPtr(MyIntVector):
    def __init__(self, this):
        _swig_setattr(self, MyIntVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, MyIntVector, 'thisown', 0)
        _swig_setattr(self, MyIntVector,self.__class__,MyIntVector)
_cdataset.MyIntVector_swigregister(MyIntVectorPtr)

class LongVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, LongVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, LongVector, name)
    def __repr__(self):
        return "<C std::vector<(long)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, LongVector, 'this', _cdataset.new_LongVector(*args))
        _swig_setattr(self, LongVector, 'thisown', 1)
    def __len__(*args): return _cdataset.LongVector___len__(*args)
    def __nonzero__(*args): return _cdataset.LongVector___nonzero__(*args)
    def clear(*args): return _cdataset.LongVector_clear(*args)
    def append(*args): return _cdataset.LongVector_append(*args)
    def pop(*args): return _cdataset.LongVector_pop(*args)
    def __getitem__(*args): return _cdataset.LongVector___getitem__(*args)
    def __getslice__(*args): return _cdataset.LongVector___getslice__(*args)
    def __setitem__(*args): return _cdataset.LongVector___setitem__(*args)
    def __setslice__(*args): return _cdataset.LongVector___setslice__(*args)
    def __delitem__(*args): return _cdataset.LongVector___delitem__(*args)
    def __delslice__(*args): return _cdataset.LongVector___delslice__(*args)
    def __del__(self, destroy=_cdataset.delete_LongVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class LongVectorPtr(LongVector):
    def __init__(self, this):
        _swig_setattr(self, LongVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, LongVector, 'thisown', 0)
        _swig_setattr(self, LongVector,self.__class__,LongVector)
_cdataset.LongVector_swigregister(LongVectorPtr)

class DataSet(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DataSet, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DataSet, name)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C DataSet instance at %s>" % (self.this,)
    def size(*args): return _cdataset.DataSet_size(*args)
    __swig_setmethods__["Y"] = _cdataset.DataSet_Y_set
    __swig_getmethods__["Y"] = _cdataset.DataSet_Y_get
    if _newclass:Y = property(_cdataset.DataSet_Y_get, _cdataset.DataSet_Y_set)
    def setY(*args): return _cdataset.DataSet_setY(*args)
    __swig_setmethods__["kernel"] = _cdataset.DataSet_kernel_set
    __swig_getmethods__["kernel"] = _cdataset.DataSet_kernel_get
    if _newclass:kernel = property(_cdataset.DataSet_kernel_get, _cdataset.DataSet_kernel_set)
    def setKernel(*args): return _cdataset.DataSet_setKernel(*args)
    def attachKernel(*args): return _cdataset.DataSet_attachKernel(*args)
    def getKernelMatrixAsVector(*args): return _cdataset.DataSet_getKernelMatrixAsVector(*args)
    def dotProduct(*args): return _cdataset.DataSet_dotProduct(*args)
    def duplicate(*args): return _cdataset.DataSet_duplicate(*args)
    def castToBase(*args): return _cdataset.DataSet_castToBase(*args)
    def show(*args): return _cdataset.DataSet_show(*args)
    def __del__(self, destroy=_cdataset.delete_DataSet):
        try:
            if self.thisown: destroy(self)
        except: pass

class DataSetPtr(DataSet):
    def __init__(self, this):
        _swig_setattr(self, DataSet, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DataSet, 'thisown', 0)
        _swig_setattr(self, DataSet,self.__class__,DataSet)
_cdataset.DataSet_swigregister(DataSetPtr)

class SparseDataSet(DataSet):
    __swig_setmethods__ = {}
    for _s in [DataSet]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, SparseDataSet, name, value)
    __swig_getmethods__ = {}
    for _s in [DataSet]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, SparseDataSet, name)
    def __repr__(self):
        return "<C SparseDataSet instance at %s>" % (self.this,)
    __swig_setmethods__["X"] = _cdataset.SparseDataSet_X_set
    __swig_getmethods__["X"] = _cdataset.SparseDataSet_X_get
    if _newclass:X = property(_cdataset.SparseDataSet_X_get, _cdataset.SparseDataSet_X_set)
    __swig_setmethods__["n"] = _cdataset.SparseDataSet_n_set
    __swig_getmethods__["n"] = _cdataset.SparseDataSet_n_get
    if _newclass:n = property(_cdataset.SparseDataSet_n_get, _cdataset.SparseDataSet_n_set)
    def size(*args): return _cdataset.SparseDataSet_size(*args)
    def dotProduct(*args): return _cdataset.SparseDataSet_dotProduct(*args)
    __swig_setmethods__["d"] = _cdataset.SparseDataSet_d_set
    __swig_getmethods__["d"] = _cdataset.SparseDataSet_d_get
    if _newclass:d = property(_cdataset.SparseDataSet_d_get, _cdataset.SparseDataSet_d_set)
    def getPattern(*args): return _cdataset.SparseDataSet_getPattern(*args)
    def getPatternSparse(*args): return _cdataset.SparseDataSet_getPatternSparse(*args)
    def getFeature(*args): return _cdataset.SparseDataSet_getFeature(*args)
    __swig_setmethods__["prob"] = _cdataset.SparseDataSet_prob_set
    __swig_getmethods__["prob"] = _cdataset.SparseDataSet_prob_get
    if _newclass:prob = property(_cdataset.SparseDataSet_prob_get, _cdataset.SparseDataSet_prob_set)
    def convert2libsvm(*args): return _cdataset.SparseDataSet_convert2libsvm(*args)
    def libsvmDestroy(*args): return _cdataset.SparseDataSet_libsvmDestroy(*args)
    __swig_setmethods__["featureIDmap"] = _cdataset.SparseDataSet_featureIDmap_set
    __swig_getmethods__["featureIDmap"] = _cdataset.SparseDataSet_featureIDmap_get
    if _newclass:featureIDmap = property(_cdataset.SparseDataSet_featureIDmap_get, _cdataset.SparseDataSet_featureIDmap_set)
    __swig_setmethods__["featureName"] = _cdataset.SparseDataSet_featureName_set
    __swig_getmethods__["featureName"] = _cdataset.SparseDataSet_featureName_get
    if _newclass:featureName = property(_cdataset.SparseDataSet_featureName_get, _cdataset.SparseDataSet_featureName_set)
    def getFeatureID(*args): return _cdataset.SparseDataSet_getFeatureID(*args)
    def show(*args): return _cdataset.SparseDataSet_show(*args)
    def castToBase(*args): return _cdataset.SparseDataSet_castToBase(*args)
    def duplicate(*args): return _cdataset.SparseDataSet_duplicate(*args)
    def __init__(self, *args):
        _swig_setattr(self, SparseDataSet, 'this', _cdataset.new_SparseDataSet(*args))
        _swig_setattr(self, SparseDataSet, 'thisown', 1)
    def __del__(self, destroy=_cdataset.delete_SparseDataSet):
        try:
            if self.thisown: destroy(self)
        except: pass
    def addPattern(*args): return _cdataset.SparseDataSet_addPattern(*args)
    def addFeature(*args): return _cdataset.SparseDataSet_addFeature(*args)
    def featureIDcompute(*args): return _cdataset.SparseDataSet_featureIDcompute(*args)
    def setFeatureName(*args): return _cdataset.SparseDataSet_setFeatureName(*args)
    def eliminateFeatures(*args): return _cdataset.SparseDataSet_eliminateFeatures(*args)
    def normalize(*args): return _cdataset.SparseDataSet_normalize(*args)
    def scale(*args): return _cdataset.SparseDataSet_scale(*args)
    def translate(*args): return _cdataset.SparseDataSet_translate(*args)
    def mean(*args): return _cdataset.SparseDataSet_mean(*args)
    def standardDeviation(*args): return _cdataset.SparseDataSet_standardDeviation(*args)
    def weightedSum(*args): return _cdataset.SparseDataSet_weightedSum(*args)
    def commonFeatures(*args): return _cdataset.SparseDataSet_commonFeatures(*args)
    def featureCount(*args): return _cdataset.SparseDataSet_featureCount(*args)
    def featureCounts(*args): return _cdataset.SparseDataSet_featureCounts(*args)
    def nonzero(*args): return _cdataset.SparseDataSet_nonzero(*args)
    def featureSetCount(*args): return _cdataset.SparseDataSet_featureSetCount(*args)

class SparseDataSetPtr(SparseDataSet):
    def __init__(self, this):
        _swig_setattr(self, SparseDataSet, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, SparseDataSet, 'thisown', 0)
        _swig_setattr(self, SparseDataSet,self.__class__,SparseDataSet)
_cdataset.SparseDataSet_swigregister(SparseDataSetPtr)

class intArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, intArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, intArray, name)
    def __repr__(self):
        return "<C intArray instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, intArray, 'this', _cdataset.new_intArray(*args))
        _swig_setattr(self, intArray, 'thisown', 1)
    def __del__(self, destroy=_cdataset.delete_intArray):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __getitem__(*args): return _cdataset.intArray___getitem__(*args)
    def __setitem__(*args): return _cdataset.intArray___setitem__(*args)
    def cast(*args): return _cdataset.intArray_cast(*args)
    __swig_getmethods__["frompointer"] = lambda x: _cdataset.intArray_frompointer
    if _newclass:frompointer = staticmethod(_cdataset.intArray_frompointer)

class intArrayPtr(intArray):
    def __init__(self, this):
        _swig_setattr(self, intArray, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, intArray, 'thisown', 0)
        _swig_setattr(self, intArray,self.__class__,intArray)
_cdataset.intArray_swigregister(intArrayPtr)

intArray_frompointer = _cdataset.intArray_frompointer

class doubleArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, doubleArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, doubleArray, name)
    def __repr__(self):
        return "<C doubleArray instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, doubleArray, 'this', _cdataset.new_doubleArray(*args))
        _swig_setattr(self, doubleArray, 'thisown', 1)
    def __del__(self, destroy=_cdataset.delete_doubleArray):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __getitem__(*args): return _cdataset.doubleArray___getitem__(*args)
    def __setitem__(*args): return _cdataset.doubleArray___setitem__(*args)
    def cast(*args): return _cdataset.doubleArray_cast(*args)
    __swig_getmethods__["frompointer"] = lambda x: _cdataset.doubleArray_frompointer
    if _newclass:frompointer = staticmethod(_cdataset.doubleArray_frompointer)

class doubleArrayPtr(doubleArray):
    def __init__(self, this):
        _swig_setattr(self, doubleArray, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, doubleArray, 'thisown', 0)
        _swig_setattr(self, doubleArray,self.__class__,doubleArray)
_cdataset.doubleArray_swigregister(doubleArrayPtr)

doubleArray_frompointer = _cdataset.doubleArray_frompointer


