# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _ckernel

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


class IntVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, IntVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, IntVector, name)
    def __repr__(self):
        return "<C std::vector<(int)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, IntVector, 'this', _ckernel.new_IntVector(*args))
        _swig_setattr(self, IntVector, 'thisown', 1)
    def __len__(*args): return _ckernel.IntVector___len__(*args)
    def __nonzero__(*args): return _ckernel.IntVector___nonzero__(*args)
    def clear(*args): return _ckernel.IntVector_clear(*args)
    def append(*args): return _ckernel.IntVector_append(*args)
    def pop(*args): return _ckernel.IntVector_pop(*args)
    def __getitem__(*args): return _ckernel.IntVector___getitem__(*args)
    def __getslice__(*args): return _ckernel.IntVector___getslice__(*args)
    def __setitem__(*args): return _ckernel.IntVector___setitem__(*args)
    def __setslice__(*args): return _ckernel.IntVector___setslice__(*args)
    def __delitem__(*args): return _ckernel.IntVector___delitem__(*args)
    def __delslice__(*args): return _ckernel.IntVector___delslice__(*args)
    def __del__(self, destroy=_ckernel.delete_IntVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class IntVectorPtr(IntVector):
    def __init__(self, this):
        _swig_setattr(self, IntVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, IntVector, 'thisown', 0)
        _swig_setattr(self, IntVector,self.__class__,IntVector)
_ckernel.IntVector_swigregister(IntVectorPtr)

class DoubleVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DoubleVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DoubleVector, name)
    def __repr__(self):
        return "<C std::vector<(double)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, DoubleVector, 'this', _ckernel.new_DoubleVector(*args))
        _swig_setattr(self, DoubleVector, 'thisown', 1)
    def __len__(*args): return _ckernel.DoubleVector___len__(*args)
    def __nonzero__(*args): return _ckernel.DoubleVector___nonzero__(*args)
    def clear(*args): return _ckernel.DoubleVector_clear(*args)
    def append(*args): return _ckernel.DoubleVector_append(*args)
    def pop(*args): return _ckernel.DoubleVector_pop(*args)
    def __getitem__(*args): return _ckernel.DoubleVector___getitem__(*args)
    def __getslice__(*args): return _ckernel.DoubleVector___getslice__(*args)
    def __setitem__(*args): return _ckernel.DoubleVector___setitem__(*args)
    def __setslice__(*args): return _ckernel.DoubleVector___setslice__(*args)
    def __delitem__(*args): return _ckernel.DoubleVector___delitem__(*args)
    def __delslice__(*args): return _ckernel.DoubleVector___delslice__(*args)
    def __del__(self, destroy=_ckernel.delete_DoubleVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class DoubleVectorPtr(DoubleVector):
    def __init__(self, this):
        _swig_setattr(self, DoubleVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DoubleVector, 'thisown', 0)
        _swig_setattr(self, DoubleVector,self.__class__,DoubleVector)
_ckernel.DoubleVector_swigregister(DoubleVectorPtr)

class FloatVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, FloatVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, FloatVector, name)
    def __repr__(self):
        return "<C std::vector<(float)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, FloatVector, 'this', _ckernel.new_FloatVector(*args))
        _swig_setattr(self, FloatVector, 'thisown', 1)
    def __len__(*args): return _ckernel.FloatVector___len__(*args)
    def __nonzero__(*args): return _ckernel.FloatVector___nonzero__(*args)
    def clear(*args): return _ckernel.FloatVector_clear(*args)
    def append(*args): return _ckernel.FloatVector_append(*args)
    def pop(*args): return _ckernel.FloatVector_pop(*args)
    def __getitem__(*args): return _ckernel.FloatVector___getitem__(*args)
    def __getslice__(*args): return _ckernel.FloatVector___getslice__(*args)
    def __setitem__(*args): return _ckernel.FloatVector___setitem__(*args)
    def __setslice__(*args): return _ckernel.FloatVector___setslice__(*args)
    def __delitem__(*args): return _ckernel.FloatVector___delitem__(*args)
    def __delslice__(*args): return _ckernel.FloatVector___delslice__(*args)
    def __del__(self, destroy=_ckernel.delete_FloatVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class FloatVectorPtr(FloatVector):
    def __init__(self, this):
        _swig_setattr(self, FloatVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, FloatVector, 'thisown', 0)
        _swig_setattr(self, FloatVector,self.__class__,FloatVector)
_ckernel.FloatVector_swigregister(FloatVectorPtr)

class Kernel(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Kernel, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Kernel, name)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Kernel instance at %s>" % (self.this,)
    def __del__(self, destroy=_ckernel.delete_Kernel):
        try:
            if self.thisown: destroy(self)
        except: pass
    def duplicate(*args): return _ckernel.Kernel_duplicate(*args)
    def castToBase(*args): return _ckernel.Kernel_castToBase(*args)
    def eval(*args): return _ckernel.Kernel_eval(*args)

class KernelPtr(Kernel):
    def __init__(self, this):
        _swig_setattr(self, Kernel, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Kernel, 'thisown', 0)
        _swig_setattr(self, Kernel,self.__class__,Kernel)
_ckernel.Kernel_swigregister(KernelPtr)

class Linear(Kernel):
    __swig_setmethods__ = {}
    for _s in [Kernel]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, Linear, name, value)
    __swig_getmethods__ = {}
    for _s in [Kernel]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, Linear, name)
    def __repr__(self):
        return "<C Linear instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, Linear, 'this', _ckernel.new_Linear(*args))
        _swig_setattr(self, Linear, 'thisown', 1)
    def __del__(self, destroy=_ckernel.delete_Linear):
        try:
            if self.thisown: destroy(self)
        except: pass
    def duplicate(*args): return _ckernel.Linear_duplicate(*args)
    def castToBase(*args): return _ckernel.Linear_castToBase(*args)
    def eval(*args): return _ckernel.Linear_eval(*args)

class LinearPtr(Linear):
    def __init__(self, this):
        _swig_setattr(self, Linear, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Linear, 'thisown', 0)
        _swig_setattr(self, Linear,self.__class__,Linear)
_ckernel.Linear_swigregister(LinearPtr)

class Cosine(Kernel):
    __swig_setmethods__ = {}
    for _s in [Kernel]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, Cosine, name, value)
    __swig_getmethods__ = {}
    for _s in [Kernel]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, Cosine, name)
    def __repr__(self):
        return "<C Cosine instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, Cosine, 'this', _ckernel.new_Cosine(*args))
        _swig_setattr(self, Cosine, 'thisown', 1)
    def __del__(self, destroy=_ckernel.delete_Cosine):
        try:
            if self.thisown: destroy(self)
        except: pass
    def duplicate(*args): return _ckernel.Cosine_duplicate(*args)
    def castToBase(*args): return _ckernel.Cosine_castToBase(*args)
    def eval(*args): return _ckernel.Cosine_eval(*args)

class CosinePtr(Cosine):
    def __init__(self, this):
        _swig_setattr(self, Cosine, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Cosine, 'thisown', 0)
        _swig_setattr(self, Cosine,self.__class__,Cosine)
_ckernel.Cosine_swigregister(CosinePtr)

class Polynomial(Kernel):
    __swig_setmethods__ = {}
    for _s in [Kernel]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, Polynomial, name, value)
    __swig_getmethods__ = {}
    for _s in [Kernel]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, Polynomial, name)
    def __repr__(self):
        return "<C Polynomial instance at %s>" % (self.this,)
    __swig_setmethods__["degree"] = _ckernel.Polynomial_degree_set
    __swig_getmethods__["degree"] = _ckernel.Polynomial_degree_get
    if _newclass:degree = property(_ckernel.Polynomial_degree_get, _ckernel.Polynomial_degree_set)
    __swig_setmethods__["additiveConst"] = _ckernel.Polynomial_additiveConst_set
    __swig_getmethods__["additiveConst"] = _ckernel.Polynomial_additiveConst_get
    if _newclass:additiveConst = property(_ckernel.Polynomial_additiveConst_get, _ckernel.Polynomial_additiveConst_set)
    def __init__(self, *args):
        _swig_setattr(self, Polynomial, 'this', _ckernel.new_Polynomial(*args))
        _swig_setattr(self, Polynomial, 'thisown', 1)
    def __del__(self, destroy=_ckernel.delete_Polynomial):
        try:
            if self.thisown: destroy(self)
        except: pass
    def duplicate(*args): return _ckernel.Polynomial_duplicate(*args)
    def castToBase(*args): return _ckernel.Polynomial_castToBase(*args)
    def eval(*args): return _ckernel.Polynomial_eval(*args)
    def setDegree(*args): return _ckernel.Polynomial_setDegree(*args)
    def setAdditiveConst(*args): return _ckernel.Polynomial_setAdditiveConst(*args)

class PolynomialPtr(Polynomial):
    def __init__(self, this):
        _swig_setattr(self, Polynomial, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Polynomial, 'thisown', 0)
        _swig_setattr(self, Polynomial,self.__class__,Polynomial)
_ckernel.Polynomial_swigregister(PolynomialPtr)

class Gaussian(Kernel):
    __swig_setmethods__ = {}
    for _s in [Kernel]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, Gaussian, name, value)
    __swig_getmethods__ = {}
    for _s in [Kernel]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, Gaussian, name)
    def __repr__(self):
        return "<C Gaussian instance at %s>" % (self.this,)
    __swig_setmethods__["gamma"] = _ckernel.Gaussian_gamma_set
    __swig_getmethods__["gamma"] = _ckernel.Gaussian_gamma_get
    if _newclass:gamma = property(_ckernel.Gaussian_gamma_get, _ckernel.Gaussian_gamma_set)
    def __init__(self, *args):
        _swig_setattr(self, Gaussian, 'this', _ckernel.new_Gaussian(*args))
        _swig_setattr(self, Gaussian, 'thisown', 1)
    def __del__(self, destroy=_ckernel.delete_Gaussian):
        try:
            if self.thisown: destroy(self)
        except: pass
    def duplicate(*args): return _ckernel.Gaussian_duplicate(*args)
    def castToBase(*args): return _ckernel.Gaussian_castToBase(*args)
    def eval(*args): return _ckernel.Gaussian_eval(*args)
    def setGamma(*args): return _ckernel.Gaussian_setGamma(*args)

class GaussianPtr(Gaussian):
    def __init__(self, this):
        _swig_setattr(self, Gaussian, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Gaussian, 'thisown', 0)
        _swig_setattr(self, Gaussian,self.__class__,Gaussian)
_ckernel.Gaussian_swigregister(GaussianPtr)

class KernelMatrix(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, KernelMatrix, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, KernelMatrix, name)
    def __repr__(self):
        return "<C KernelMatrix instance at %s>" % (self.this,)
    __swig_setmethods__["matrix"] = _ckernel.KernelMatrix_matrix_set
    __swig_getmethods__["matrix"] = _ckernel.KernelMatrix_matrix_get
    if _newclass:matrix = property(_ckernel.KernelMatrix_matrix_get, _ckernel.KernelMatrix_matrix_set)
    __swig_setmethods__["refCount"] = _ckernel.KernelMatrix_refCount_set
    __swig_getmethods__["refCount"] = _ckernel.KernelMatrix_refCount_get
    if _newclass:refCount = property(_ckernel.KernelMatrix_refCount_get, _ckernel.KernelMatrix_refCount_set)
    def size(*args): return _ckernel.KernelMatrix_size(*args)
    def addRow(*args): return _ckernel.KernelMatrix_addRow(*args)
    def getEntry(*args): return _ckernel.KernelMatrix_getEntry(*args)
    def center(*args): return _ckernel.KernelMatrix_center(*args)
    def show(*args): return _ckernel.KernelMatrix_show(*args)
    def __init__(self, *args):
        _swig_setattr(self, KernelMatrix, 'this', _ckernel.new_KernelMatrix(*args))
        _swig_setattr(self, KernelMatrix, 'thisown', 1)
    def __del__(self, destroy=_ckernel.delete_KernelMatrix):
        try:
            if self.thisown: destroy(self)
        except: pass

class KernelMatrixPtr(KernelMatrix):
    def __init__(self, this):
        _swig_setattr(self, KernelMatrix, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, KernelMatrix, 'thisown', 0)
        _swig_setattr(self, KernelMatrix,self.__class__,KernelMatrix)
_ckernel.KernelMatrix_swigregister(KernelMatrixPtr)


kernel2file = _ckernel.kernel2file

