# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _knn

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


class IntVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, IntVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, IntVector, name)
    def __repr__(self):
        return "<C std::vector<(int)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, IntVector, 'this', _knn.new_IntVector(*args))
        _swig_setattr(self, IntVector, 'thisown', 1)
    def __len__(*args): return _knn.IntVector___len__(*args)
    def __nonzero__(*args): return _knn.IntVector___nonzero__(*args)
    def clear(*args): return _knn.IntVector_clear(*args)
    def append(*args): return _knn.IntVector_append(*args)
    def pop(*args): return _knn.IntVector_pop(*args)
    def __getitem__(*args): return _knn.IntVector___getitem__(*args)
    def __getslice__(*args): return _knn.IntVector___getslice__(*args)
    def __setitem__(*args): return _knn.IntVector___setitem__(*args)
    def __setslice__(*args): return _knn.IntVector___setslice__(*args)
    def __delitem__(*args): return _knn.IntVector___delitem__(*args)
    def __delslice__(*args): return _knn.IntVector___delslice__(*args)
    def __del__(self, destroy=_knn.delete_IntVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class IntVectorPtr(IntVector):
    def __init__(self, this):
        _swig_setattr(self, IntVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, IntVector, 'thisown', 0)
        _swig_setattr(self, IntVector,self.__class__,IntVector)
_knn.IntVector_swigregister(IntVectorPtr)

class DoubleVector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DoubleVector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DoubleVector, name)
    def __repr__(self):
        return "<C std::vector<(double)> instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, DoubleVector, 'this', _knn.new_DoubleVector(*args))
        _swig_setattr(self, DoubleVector, 'thisown', 1)
    def __len__(*args): return _knn.DoubleVector___len__(*args)
    def __nonzero__(*args): return _knn.DoubleVector___nonzero__(*args)
    def clear(*args): return _knn.DoubleVector_clear(*args)
    def append(*args): return _knn.DoubleVector_append(*args)
    def pop(*args): return _knn.DoubleVector_pop(*args)
    def __getitem__(*args): return _knn.DoubleVector___getitem__(*args)
    def __getslice__(*args): return _knn.DoubleVector___getslice__(*args)
    def __setitem__(*args): return _knn.DoubleVector___setitem__(*args)
    def __setslice__(*args): return _knn.DoubleVector___setslice__(*args)
    def __delitem__(*args): return _knn.DoubleVector___delitem__(*args)
    def __delslice__(*args): return _knn.DoubleVector___delslice__(*args)
    def __del__(self, destroy=_knn.delete_DoubleVector):
        try:
            if self.thisown: destroy(self)
        except: pass

class DoubleVectorPtr(DoubleVector):
    def __init__(self, this):
        _swig_setattr(self, DoubleVector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, DoubleVector, 'thisown', 0)
        _swig_setattr(self, DoubleVector,self.__class__,DoubleVector)
_knn.DoubleVector_swigregister(DoubleVectorPtr)

class KNN(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, KNN, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, KNN, name)
    def __repr__(self):
        return "<C KNN instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, KNN, 'this', _knn.new_KNN(*args))
        _swig_setattr(self, KNN, 'thisown', 1)
    __swig_setmethods__["data"] = _knn.KNN_data_set
    __swig_getmethods__["data"] = _knn.KNN_data_get
    if _newclass:data = property(_knn.KNN_data_get, _knn.KNN_data_set)
    __swig_setmethods__["k"] = _knn.KNN_k_set
    __swig_getmethods__["k"] = _knn.KNN_k_get
    if _newclass:k = property(_knn.KNN_k_get, _knn.KNN_k_set)
    def train(*args): return _knn.KNN_train(*args)
    def nearestNeighbor(*args): return _knn.KNN_nearestNeighbor(*args)
    def test(*args): return _knn.KNN_test(*args)
    def __del__(self, destroy=_knn.delete_KNN):
        try:
            if self.thisown: destroy(self)
        except: pass

class KNNPtr(KNN):
    def __init__(self, this):
        _swig_setattr(self, KNN, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, KNN, 'thisown', 0)
        _swig_setattr(self, KNN,self.__class__,KNN)
_knn.KNN_swigregister(KNNPtr)

class intArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, intArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, intArray, name)
    def __repr__(self):
        return "<C intArray instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, intArray, 'this', _knn.new_intArray(*args))
        _swig_setattr(self, intArray, 'thisown', 1)
    def __del__(self, destroy=_knn.delete_intArray):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __getitem__(*args): return _knn.intArray___getitem__(*args)
    def __setitem__(*args): return _knn.intArray___setitem__(*args)
    def cast(*args): return _knn.intArray_cast(*args)
    __swig_getmethods__["frompointer"] = lambda x: _knn.intArray_frompointer
    if _newclass:frompointer = staticmethod(_knn.intArray_frompointer)

class intArrayPtr(intArray):
    def __init__(self, this):
        _swig_setattr(self, intArray, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, intArray, 'thisown', 0)
        _swig_setattr(self, intArray,self.__class__,intArray)
_knn.intArray_swigregister(intArrayPtr)

intArray_frompointer = _knn.intArray_frompointer

class doubleArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, doubleArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, doubleArray, name)
    def __repr__(self):
        return "<C doubleArray instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, doubleArray, 'this', _knn.new_doubleArray(*args))
        _swig_setattr(self, doubleArray, 'thisown', 1)
    def __del__(self, destroy=_knn.delete_doubleArray):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __getitem__(*args): return _knn.doubleArray___getitem__(*args)
    def __setitem__(*args): return _knn.doubleArray___setitem__(*args)
    def cast(*args): return _knn.doubleArray_cast(*args)
    __swig_getmethods__["frompointer"] = lambda x: _knn.doubleArray_frompointer
    if _newclass:frompointer = staticmethod(_knn.doubleArray_frompointer)

class doubleArrayPtr(doubleArray):
    def __init__(self, this):
        _swig_setattr(self, doubleArray, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, doubleArray, 'thisown', 0)
        _swig_setattr(self, doubleArray,self.__class__,doubleArray)
_knn.doubleArray_swigregister(doubleArrayPtr)

doubleArray_frompointer = _knn.doubleArray_frompointer


